.page-event-ekb .promo {
  position: relative;
  height: auto;
  margin-bottom: 64px;
  color: #fff;
}
@media (max-width: 640px) {
  .page-event-ekb .promo {
    flex-direction: row;
    margin-bottom: 32px;
  }
}
@media (max-width: 600px) {
  .page-event-ekb .promo {
    flex-direction: column;
  }
}
@media (max-width: 600px) {
  .page-event-ekb .promo {
    align-items: flex-start;
    min-height: 585px;
  }
}
.page-event-ekb .promo__logos {
  position: absolute;
  top: 50px;
  z-index: 1;
  display: flex;
  gap: 32px;
}
@media (max-width: 980px) {
  .page-event-ekb .promo__logos {
    top: 56px;
  }
}
@media (max-width: 600px) {
  .page-event-ekb .promo__logos {
    position: static;
    gap: 0;
    justify-content: space-between;
    width: min(288px, 100%);
    margin-bottom: 32px;
  }
}
@media (max-width: 600px) {
  .page-event-ekb .promo__logos img {
    width: auto;
    max-height: 28px;
  }
}
.page-event-ekb .promo .tag {
  color: inherit;
}
.page-event-ekb .promo__content {
  width: 70%;
}
@media (max-width: 600px) {
  .page-event-ekb .promo__content {
    width: 100%;
  }
}
.page-event-ekb .promo__heading {
  max-width: 100%;
  font-size: 40px;
  line-height: 1.2;
}
@media (max-width: 980px) {
  .page-event-ekb .promo__heading {
    margin-bottom: 24px;
    font-size: 22px;
    line-height: 1.18;
  }
}
@media (max-width: 600px) {
  .page-event-ekb .promo__heading {
    margin-bottom: 20px;
  }
}
@media (max-width: 980px) {
  .page-event-ekb .promo__text {
    max-width: 300px;
  }
}
@media (max-width: 600px) {
  .page-event-ekb .promo__text {
    max-width: 100%;
  }
}
@media (max-width: 640px) {
  .page-event-ekb .promo__button {
    width: auto;
  }
}
@media (max-width: 600px) {
  .page-event-ekb .promo__button {
    width: 100%;
  }
}
.page-event-ekb .promo__image {
  position: absolute;
  inset: 0;
  width: 100%;
}
@media (max-width: 640px) {
  .page-event-ekb .promo__image {
    height: 100%;
  }
}
@media (max-width: 600px) {
  .page-event-ekb .promo__image img {
    object-position: center bottom;
  }
}

.event-data {
  display: flex;
  flex-wrap: wrap;
  gap: 32px;
  margin-bottom: 112px;
}
@media (max-width: 980px) {
  .event-data {
    margin-bottom: 64px;
  }
}
@media (max-width: 768px) {
  .event-data {
    gap: 16px;
  }
}
.event-data__item {
  display: grid;
  grid-template-rows: auto 1fr;
  grid-template-columns: 48px 1fr;
  gap: 4px 16px;
}
.event-data__item:nth-child(1) {
  width: 26.65%;
}
@media (max-width: 768px) {
  .event-data__item:nth-child(1) {
    width: 37.7%;
  }
}
@media (max-width: 460px) {
  .event-data__item:nth-child(1) {
    width: 100%;
  }
}
.event-data__item:nth-child(2) {
  width: 18.5%;
}
@media (max-width: 768px) {
  .event-data__item:nth-child(2) {
    width: auto;
  }
}
@media (max-width: 460px) {
  .event-data__item:nth-child(2) {
    width: 100%;
  }
}
.event-data__item:nth-child(3) {
  flex: 1;
}
@media (max-width: 768px) {
  .event-data__item:nth-child(3) {
    flex-basis: 100%;
  }
}
.event-data__icon {
  flex-shrink: 0;
  grid-row: 1/-1;
}
.event-data__title {
  color: #a2a2a2;
  font-size: 14px;
  line-height: 1.14;
}
@media (max-width: 980px) {
  .event-data__title {
    font-size: 12px;
    line-height: 1.33;
  }
}
.event-data__text {
  font-family: "Stolzl", sans-serif;
  font-weight: 500;
  color: #212a34;
  font-size: 24px;
  line-height: 1.17;
}
@media (max-width: 980px) {
  .event-data__text {
    font-size: 16px;
    line-height: 1.25;
  }
}

.event-moderator {
  padding-bottom: 32px;
  margin-bottom: 32px;
  border-bottom: 1px solid #e9e9ef;
}
.event-moderator__heading {
  margin-bottom: 32px;
}
.event-moderator .event-speaker {
  --photo-size: 200px;
  grid-template-rows: auto auto;
}
@media (max-width: 980px) {
  .event-moderator .event-speaker {
    --photo-size: 100px;
  }
}
.event-moderator .event-speaker__position {
  max-width: 400px;
}

.event-speakers__heading {
  margin-bottom: 48px;
}
@media (max-width: 980px) {
  .event-speakers__heading {
    margin-bottom: 32px;
  }
}
.event-speakers__items {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(min(350px, 100%), 1fr));
  gap: 48px;
}
@media (max-width: 980px) {
  .event-speakers__items {
    gap: 24px;
  }
}

.event-speaker {
  --photo-size: 112px;
  display: grid;
  grid-template-rows: auto 1fr;
  grid-template-columns: var(--photo-size) 1fr;
  gap: 12px 24px;
}
@media (max-width: 980px) {
  .event-speaker {
    --photo-size: 80px;
    grid-template-rows: auto auto;
  }
}
.event-speaker__image {
  position: relative;
  grid-row: 1/-1;
  place-self: start;
}
@media (max-width: 980px) {
  .event-speaker__image {
    place-self: center;
  }
}
.event-speaker__photo {
  display: block;
  border-radius: 50%;
}
.event-speaker__logo {
  position: absolute;
  right: 0;
  bottom: 0;
  width: 32px;
  aspect-ratio: 1;
}
@media (max-width: 980px) {
  .event-speaker__logo {
    width: 24px;
  }
}
.event-speaker__name {
  align-self: end;
  font-family: "Stolzl", sans-serif;
  font-weight: 500;
  font-size: 24px;
  line-height: 1.17;
}
@media (max-width: 980px) {
  .event-speaker__name {
    font-size: 16px;
    line-height: 1.25;
  }
}
.event-speaker__position {
  color: #6b7782;
}
@media (max-width: 980px) {
  .event-speaker__position {
    max-width: 320px;
    font-size: 14px;
    line-height: 1.29;
  }
}

.event-guests {
  z-index: 1;
  margin-bottom: -16px;
}
@media (max-width: 980px) {
  .event-guests {
    margin-bottom: -32px;
  }
}
@media (max-width: 600px) {
  .event-guests {
    margin-bottom: 0;
  }
}
.event-guests__heading {
  margin-bottom: 48px;
  text-align: center;
}
@media (max-width: 980px) {
  .event-guests__heading {
    margin-bottom: 32px;
    text-align: left;
  }
}
.event-guests__items {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(0, 1fr));
  gap: 24px;
  margin-bottom: 48px;
}
@media (max-width: 980px) {
  .event-guests__items {
    grid-template-columns: auto;
    margin-bottom: 32px;
  }
}
.event-guests__item {
  padding: 24px;
  background: #f5f5f8;
  border-radius: 16px;
}
@media (min-width: 460px) and (max-width: 980px) {
  .event-guests__item {
    display: grid;
    grid-template-rows: repeat(2, auto);
    grid-template-columns: auto 1fr;
    gap: 0 24px;
  }
}
.event-guests__image {
  display: block;
  width: 112px;
  aspect-ratio: 1;
  margin-bottom: 24px;
  border-radius: 50%;
}
@media (max-width: 980px) {
  .event-guests__image {
    width: 80px;
  }
}
@media (min-width: 460px) and (max-width: 980px) {
  .event-guests__image {
    grid-row: 1/-1;
    align-self: center;
    margin-bottom: 0;
  }
}
.event-guests__name {
  align-self: end;
  margin-bottom: 12px;
  font-family: "Stolzl", sans-serif;
  font-weight: 500;
  font-size: 18px;
  line-height: 1.33;
}
.event-guests__position {
  color: #6b7782;
}
.event-guests .btn {
  display: flex;
  width: fit-content;
  margin-inline: auto;
}
@media (max-width: 460px) {
  .event-guests .btn {
    width: 100%;
  }
}

.event-program {
  margin: 0 calc(50% - 50vw);
  scroll-margin: -40px;
  background: #f5f5f8 url("img/event-program-bg.svg") no-repeat;
  background-size: cover;
}
@media (max-width: 980px) {
  .event-program {
    scroll-margin: -20px;
    background-size: auto;
  }
}
@media (max-width: 600px) {
  .event-program {
    scroll-margin: 16px;
  }
}
.event-program .container {
  position: relative;
  padding-block: 144px;
}
@media (max-width: 980px) {
  .event-program .container {
    padding-block: 96px;
  }
}
@media (max-width: 600px) {
  .event-program .container {
    padding-block: 64px;
  }
}
.event-program .container::before, .event-program .container::after {
  --radius: 80px;
  position: absolute;
  right: 0;
  left: 0;
  height: var(--radius);
  content: "";
  background: #fff;
}
@media (max-width: 980px) {
  .event-program .container::before, .event-program .container::after {
    --radius: 64px;
  }
}
@media (max-width: 600px) {
  .event-program .container::before, .event-program .container::after {
    --radius: 32px;
  }
}
.event-program .container::before {
  top: 0;
  border-radius: 0 0 var(--radius) var(--radius);
}
.event-program .container::after {
  bottom: 0;
  border-radius: var(--radius) var(--radius) 0 0;
}
.event-program__heading {
  margin-bottom: 24px;
  text-align: center;
}
.event-program__text {
  max-width: 720px;
  margin: 0 auto 32px;
  text-align: center;
}
.event-program__items {
  display: grid;
  gap: 32px;
  max-width: 1000px;
  margin: 0 auto 24px;
}
@media (max-width: 600px) {
  .event-program__items {
    padding-inline: 16px;
  }
}
.event-program--minimized .event-program__items {
  margin-bottom: 32px;
}
.event-program__item {
  display: grid;
  grid-template-columns: auto 1fr;
  gap: 16px;
}
@media (max-width: 460px) {
  .event-program__item {
    grid-template-columns: 1fr;
  }
}
.event-program--minimized .event-program__item:nth-child(n+3) {
  display: none;
}
.event-program__time {
  --height: 36px;
  align-self: start;
  width: 140px;
  height: var(--height);
  font-family: "Stolzl", sans-serif;
  line-height: var(--height);
  text-align: center;
  background: #fff;
  border-radius: 4px;
  box-shadow: 0 6px 20px rgba(0, 17, 6, 0.1);
}
@media (max-width: 980px) {
  .event-program__time {
    --height: 32px;
    font-size: 16px;
  }
}
.event-program__inner {
  min-width: 0;
}
.event-program__title {
  font-family: "Stolzl", sans-serif;
  font-weight: 500;
  font-size: 24px;
  line-height: 1.17;
}
@media (max-width: 980px) {
  .event-program__title {
    font-size: 16px;
    line-height: 1.25;
  }
}
.event-program__title:only-child {
  margin-top: 4px;
}
@media (max-width: 980px) {
  .event-program__title:only-child {
    margin-top: 6px;
  }
}
@media (max-width: 600px) {
  .event-program__title:only-child {
    margin-top: 0;
  }
}
.event-program__desc {
  max-width: 650px;
  margin-top: 8px;
}
@media (max-width: 980px) {
  .event-program__desc {
    font-size: 14px;
    line-height: 1.29;
  }
}
.event-program__performers {
  margin: 16px 0;
  font-family: "Stolzl", sans-serif;
  font-weight: 500;
}
@media (max-width: 980px) {
  .event-program__performers {
    font-size: 12px;
    line-height: 1.33;
  }
}
.event-program__speakers {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(min(100%, 300px), 1fr));
  gap: 16px;
  max-width: 706px;
}
.event-program__speaker {
  display: grid;
  grid-template-rows: auto 1fr;
  grid-template-columns: auto 1fr;
  gap: 4px 10px;
}
.event-program__speaker-img {
  grid-row: 1/-1;
  width: 32px;
  aspect-ratio: 1;
  border-radius: 50%;
}
.event-program__speaker-name {
  font-family: "Stolzl", sans-serif;
  font-weight: 500;
  font-size: 14px;
  line-height: 1.14;
}
.event-program__speaker-position {
  font-size: 12px;
  line-height: 1.33;
}
.event-program__speaker:only-child .event-program__speaker-position {
  max-width: 250px;
}
.event-program__toggle, .event-program__reg {
  display: flex;
  width: fit-content;
  margin-inline: auto;
}
.event-program__toggle {
  gap: 8px;
  padding: 0;
  margin-bottom: 32px;
  font: inherit;
  font-weight: 500;
  cursor: pointer;
  background: none;
}
.event-program__toggle .icon {
  rotate: 180deg;
}
.event-program--minimized .event-program__toggle .icon {
  rotate: 0deg;
}

.event-partners {
  padding-top: 64px;
  margin-top: -80px;
  margin-bottom: 64px;
  background: #fff;
  border-radius: 64px 64px 0 0;
}
.event-partners:not(:last-child) {
  margin-bottom: 128px;
}
@media (max-width: 980px) {
  .event-partners:not(:last-child) {
    margin-bottom: 64px;
  }
}
@media (max-width: 600px) {
  .event-partners:not(:last-child) {
    margin-bottom: 32px;
  }
}
@media (max-width: 980px) {
  .event-partners {
    padding-top: 24px;
    margin-top: -56px;
    margin-bottom: 32px;
  }
}
@media (max-width: 600px) {
  .event-partners {
    padding-top: 0;
    margin-top: 0;
    margin-bottom: 0;
  }
}
.event-partners__heading {
  margin-bottom: 48px;
  text-align: center;
}
@media (max-width: 980px) {
  .event-partners__heading {
    margin-bottom: 32px;
  }
}
.event-partners__logos {
  display: flex;
  gap: 16px;
  align-items: center;
  justify-content: center;
}
@media (max-width: 600px) {
  .event-partners__logos {
    flex-direction: column;
  }
}
.event-partners__logo {
  display: grid;
  place-items: center;
  min-width: 186px;
}
@media (max-width: 980px) {
  .event-partners__logo {
    min-width: 136px;
  }
}
@media (max-width: 600px) {
  .event-partners__logo {
    min-height: 48px;
  }
}
.event-partners__img {
  max-width: 186px;
  max-height: 66px;
}
@media (max-width: 980px) {
  .event-partners__img {
    max-width: 136px;
    max-height: 48px;
  }
}
